Name: x11-driver-input-joystick
Version: 1.2.3
Release: %mkrel 1
Summary: X.org input driver for joysticks
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Conflicts: xorg-x11-server < 7.0

%description
Joystick is an X.org input driver for joysticks.

%prep
%setup -q -n xf86-input-joystick-%{version}

%build
# fix version mismatch problem of libtool
autoreconf
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/joystick_drv.la
%{_libdir}/xorg/modules/input/joystick_drv.so
%_mandir/man4/*




%changelog
* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-1mdv2008.0
+ Revision: 64744
- new release

* Mon Jul 09 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-1mdv2008.0
+ Revision: 50741
- new upstream version: 1.2.2

* Mon Apr 23 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-1mdv2008.0
+ Revision: 17412
- new upstream bugfix release

* Fri Apr 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2008.0
+ Revision: 16013
- new release


* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 147973
- new upstream bugfix release(1.1.1). From the release announce:
  * Bugfix release. Made the module work again after a long while
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - fill in summary & descriptions for all input drivers

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

